Skip to main content
`Ctrl`+`K`

# TaoMonitorGlobalization

Default routine for monitoring progress of `TaoSolve()` with extra detail on the globalization method.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorGlobalization(Tao tao, void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `PetscViewer` context or `NULL`

## Options Database Key

- -tao_monitor_globalization - turn on monitoring with globalization information

## Note

This monitor prints the function value and gradient norm at each iteration, as well as the step size and trust radius. Note that the step size and trust radius may be the same for some algorithms.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefaultShort()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages